ChildEndpointDefinitionParser (Mule ESB 2.2.1 API)
Keywords: org.mule.config.spring.parsers.specific.endpoint.support.ChildEndpointDefinitionParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers.specific.endpoint.support
Class ChildEndpointDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.mule.config.spring.parsers.AbstractMuleBeanDefinitionParser
              org.mule.config.spring.parsers.AbstractHierarchicalDefinitionParser
                  org.mule.config.spring.parsers.AbstractChildDefinitionParser
                      org.mule.config.spring.parsers.generic.ChildDefinitionParser
                          org.mule.config.spring.parsers.specific.endpoint.support.ChildEndpointDefinitionParser

All Implemented Interfaces:
  MuleChildDefinitionParser, MuleDefinitionParser, MuleDefinitionParserConfiguration, org.springframework.beans.factory.xml.BeanDefinitionParser

Direct Known Subclasses:
  GenericEndpointDefinitionParser

    public class ChildEndpointDefinitionParser

extends ChildDefinitionParser

A parser for "embedded" endpoints - ie inbound, outbound and response endpoints. Because we have automatic String -> MuleEnpointURI conversion via property editors this can be used in a variety of ways. It should work directly with a simple String address attribute or, in combination with a child element (handled by `ChildAddressDefinitionParser`, or embedded in `AddressedEndpointDefinitionParser` for a more compact single-element approach.

This class does support references to other endpoints.

TODO - check that references are global!

Field Summary

Fields inherited from class org.mule.config.spring.parsers.generic.ChildDefinitionParser
`clazz, setterMethod`

Fields inherited from class org.mule.config.spring.parsers.AbstractMuleBeanDefinitionParser
`ATTRIBUTE_CLASS, ATTRIBUTE_ID, ATTRIBUTE_NAME, ATTRIBUTE_REF, ATTRIBUTE_REF_SUFFIX, ATTRIBUTE_REFS, ATTRIBUTE_REFS_SUFFIX, beanPropertyConfiguration, logger, ROOT_ELEMENT, singleton`

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE`

Constructor Summary
`ChildEndpointDefinitionParser(Class endpoint)`

Method Summary
`org.springframework.beans.factory.support.BeanDefinitionBuilder` | `createBeanDefinitionBuilder(Element element, Class beanClass)`
`String` | `getBeanName(Element element)`

Methods inherited from class org.mule.config.spring.parsers.generic.ChildDefinitionParser
`getBeanClass, getPropertyName, preProcess`

Methods inherited from class org.mule.config.spring.parsers.AbstractChildDefinitionParser
`doParse, parseChild, postProcess`

Methods inherited from class org.mule.config.spring.parsers.AbstractHierarchicalDefinitionParser
`forceParent, getBeanAssembler, getOrphanBeanAssembler, getParentBeanDefinition, getParentBeanName, getTargetPropertyConfiguration`

Methods inherited from class org.mule.config.spring.parsers.AbstractMuleBeanDefinitionParser
`addAlias, addBeanFlag, addCollection, addIgnored, addMapping, addMapping, addMapping, addReference, checkElementNameUnique, getBeanAssemblerFactory, getBeanClassFromAttribute, getClassConstraint, getClassInternal, getParserContext, getRegistry, isAllowClassAttribute, isSingleton, isTopLevel, muleParse, parseInternal, processProperty, registerPostProcessor, registerPreProcessor, removeIgnored, resolveId, setAllowClassAttribute, setBeanAssemblerFactory, setClassConstraint, setIgnoredDefault, setParserContext, setRegistry`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.config.spring.parsers.MuleChildDefinitionParser
`forceParent, getTargetPropertyConfiguration`

Methods inherited from interface org.mule.config.spring.parsers.MuleDefinitionParser
`muleParse`

Methods inherited from interface org.springframework.beans.factory.xml.BeanDefinitionParser
`parse`

Methods inherited from interface org.mule.config.spring.parsers.MuleDefinitionParserConfiguration
`addAlias, addBeanFlag, addCollection, addIgnored, addMapping, addMapping, addMapping, addReference, registerPostProcessor, registerPreProcessor, removeIgnored, setIgnoredDefault`

Constructor Detail

### ChildEndpointDefinitionParser

    public ChildEndpointDefinitionParser(Class endpoint)

Method Detail

### createBeanDefinitionBuilder

    public org.springframework.beans.factory.support.BeanDefinitionBuilder createBeanDefinitionBuilder(Element element,
                                                                                                       Class beanClass)

  Overrides:
    `createBeanDefinitionBuilder` in class `AbstractMuleBeanDefinitionParser`

### getBeanName

    public String getBeanName(Element element)

  Specified by:
    `getBeanName` in interface `MuleDefinitionParser`
  Overrides:
    `getBeanName` in class `AbstractChildDefinitionParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.